Skip to main content

Get C

GET 

/v1/armada/datacenter_contract/:c_id

Get a contract

Request

Path Parameters

    c_id uuidrequired

    The contract ID

Responses

Successful Response

Schema

    start_date date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    end_date date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    cancel_date date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    period_days Period Days (integer)

    The number of days in the contract period

    extend_period_days Extend Period Days (integer)

    The service extend period in days

    notice_days Notice Days (integer)

    The number of days notice required to cancel the contract

    purchase_order Purchase Order (string)

    Possible values: non-empty

    The purchase order number or description for the contract

    payment_term_days Payment Term Days (integer)

    The number of days after the invoice is sent that payment is due

    hosts uuid[]

    The IDs of the hosts this contract is associated with

    datacenter_contract_id uuidrequired
Loading...